﻿

<div class="modal @ModalClass" style="display:@ModalDisplay !important" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title text-center"><span class="oi oi-document text-warning"></span> Complain</h4>
                <button type="button" class="close text-danger" @onclick="() => Close()" data-dismiss="modal">&times;</button>
            </div>
            @if (complainDto != null)
            {
                <EditForm Model="@complainDto" OnValidSubmit="@(e => Submit(complainDto))">
                    <DataAnnotationsValidator />
                    <!-- Modal body -->
                    <div class="modal-body">
                        <div style="display:@dataLoaded">

                            <input type="hidden" @bind="complainDto.Id" />

                            <div class="form-group row">
                                <label for="name" class="col-sm-4 col-form-label text-right">Name: </label>
                                <div class="col-sm-8">
                                    <input type="text" readonly class="form-control-plaintext" @bind="complainDto.Reportee.Name" />
                                    <ValidationMessage For="@(() => complainDto.Reportee.Name)" />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="mobileNo" class="col-sm-4 col-form-label text-right">Reason: </label>
                                <div class="col-sm-8">
                                    <textarea type="text" placeholder="Reason" @bind="complainDto.Description" class="form-control" />
                                    <ValidationMessage For="@(() => complainDto.Description)" />
                                </div>
                            </div>
                        </div>
                        <div style="display:@dataLoading">
                            <div class="spinner-grow text-info" role="status">
                                <span class="sr-only">Loading...</span>
                            </div>
                        </div>
                        <div style="display:@contetntError">
                            <div class="alert alert-warning" role="alert">
                                @contetntErrorMsg
                            </div>
                        </div>
                        <div style="display:@contetntSaveSuccess">
                            <div class="alert alert-success" role="alert">
                                @contetntSuccessMsg
                            </div>
                        </div>
                    </div>

                    <!-- Modal footer -->
                    <div class="modal-footer">
                        <button type="submit" disabled="@OkayDisabled" name="Edit" class="btn btn-success btn-sm"><span class="oi oi-check"></span> Save</button>
                        <button type="button" class="btn btn-secondary btn-sm" @onclick="() => Close()" data-dismiss="modal">Close</button>
                    </div>
                </EditForm>
            }

        </div>
    </div>
</div>
@code {


}